AnsweredAssumed Answered

Can Multipart To Singlepart bug NIM072336 be fixed for ArcGIS 10.0 SP4. please?

Question asked by graeme on Jan 11, 2012
Latest reply on Jan 12, 2012 by dlee-esristaff
Yesterday I encountered and investigated a Multipart To Singlepart bug at ArcGIS 10.0 SP2.

Using a test dataset (90,000 multipart polygons in a file geodatabase which is 63.7Mb in size) we can run the Multipart To Singlepart tool without error using ArcGIS 9.2 or 9.3 but when 10.0 SP2 is used it ALWAYS throws a Serious Application Error 13% of the way through processing.

This bug seems to be the one documented as NIM069967 (http://support.esri.com/en/bugs/nimbus/TklNMDY5OTY3) which says that there is Additional Status Information under bug NIM072336.

This bug does not seem to have been fixed in 10.0 SP3 (http://downloads2.esri.com/support/downloads/other_/ArcGIS-10sp3-issues.htm) and worryingly does not appear to be targeted for 10.0 SP4 yet (http://downloads2.esri.com/support/downloads/other_/10.0_SP4_Announcement.pdf).

From local support I found that NIM072336 says that the bug is fixed at 10.1 and an alternative solution (that does not work) of modifying the XY Tolerance was suggested.

For us this is a showstopper bug that prevents upgrading a strategic application from 9.3 to 10.0 so can the 10.1 fix to Multipart To Singlepart bug NIM072336 be brought forward into ArcGIS 10.0 SP4. please?

- Graeme

Outcomes